require 'spec_helper'

describe Guard::Unity::Notifier do

  let (:results) {
    {
      tests: 100,
      errors: 0,
      failures: 0
    }
  }
  let (:alert) { double(:alert) }
  let (:cli) { double(:alert) }
  let (:subject) { Guard::Unity::Notifier.new({alert: alert, cli: cli})}

  describe '#notify' do

    it 'should give results to notification handlers' do
      alert.stub(:notify).with(results, Guard::Unity::Notifier::TITLE)
      cli.stub(:notify).with(results)
      subject.notify(results)
    end
  end

end