# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'guard/unity/version'

Gem::Specification.new do |spec|
  spec.name          = 'guard-unity'
  spec.version       = Guard::UnityVersion::VERSION
  spec.authors       = ['Thomas Muntaner']
  spec.email         = ['thomas.muntaner@gmail.com']
  spec.description   = %q{Guard gem for Unity3D Test Tools}
  spec.summary       = %q{guard-unity automatically runs Unity Test Tools on file changes}
  spec.homepage      = 'https://github.com/rubyrainbows/guard-unity-test'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'guard', '~> 2.0'
  spec.add_dependency 'nokogiri', '~> 1.6'
  spec.add_dependency 'formatador', '~> 0.2'
  
  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake', '~> 10.1'
  spec.add_development_dependency 'rspec', '~> 2.14'
  spec.add_development_dependency 'rspec-core', '~> 2.14'
  spec.add_development_dependency 'rspec-mocks', '~> 2.14'
end
